﻿package  
{
	import flash.display.MovieClip;
	import flash.events.Event;
	
	/**
	 * ...
	 * @author Skyler
	 */
	public class Bullet extends MovieClip
	{
		private var enemyContainer:MovieClip;
		private var enemy:Baddie;
		
		public function Bullet(x:Number, y:Number) 
		{				
			this.x = x;
			this.y = y;	
			
			enemyContainer = FlightSim.GetInstance().GetEnemyContainer();
			this.addEventListener(Event.ENTER_FRAME, Update);
		}
		
		public function Update(evt:Event) 
		{
			this.y -= 12;
			if (this.y < 0) {
				Destroy();
				return;
			}
			
			
			for (var i:int = 0; i < enemyContainer.numChildren; i++) {
				enemy = (enemyContainer.getChildAt(i) as Baddie);
				if (hitTestObject( enemy )) {
					enemy.Hurt(1);
					Destroy();
					return;
				}
			}
			
		}
		
		private function Destroy() {
			this.removeEventListener(Event.ENTER_FRAME, Update);
			parent.removeChild(this);
		}
		
	}
	
}